| LPCOpen Platform v1.03 LPCOpen Platform for NXP LPC Microcontrollers

- Main Page
- Modules
- Data Structures
- Files
- Related Pages

All Data Structures Files Functions Variables Typedefs Enumerations Enumerator Macros Groups Pages
Modules | Functions | Variables
LPC18xx/43xx LWIP HTTP Server without an RTOS
LWIP examples

## Detailed Description

Example description
This example uses the raw API for standalone (without an RTOS) operation to implement a simple HTTP server. This example shows how to use the raw API with the LWIP contrib HTTP example (modified) using the 18xx/43xx LWIP MAC and PHY drivers. The example shows how to handle PHY link monitoring and indicate to LWIP that a ethernet cable is plugged in.

To use the example, Simply connect an ethernet cable to the board. The board will acquire an IP address via DHCP and will print it in UART (115.2K baud). In a webbrowser enter http://{ip addr printed on UART} to see the default webpage. Copy the html files (including index.htm) to an SDCARD and insert the card before power-on/reset. The webserver will read the files based on request from the browser

Special connection requirements
There are no special connection requirements

Warning
  HITEX boards does not support reading files from SDCARD due to the fact that board design makes Ethernet/UART/SDCARD functionality, mutually exclusive.

Build procedures:
LPC18xx/43xx example quickstart for Keil uVision4
LPC18xx/43xx example quickstart for IAR EWARM
LPC18xx/43xx example quickstart for Code Red Xpresso

Supported boards and board setup:
Hitex 1850 evaluation boards
Hitex 4350 evaluation boards
Keil 1857 evaluation boards
Keil 4357 evaluation boards
NGX 1830 Xplorer boards
NGX 4330 Xplorer boards

Submitting LPCOpen issues:
Community support for LPCOpen

## Modules
| Filesystem Glue logic for reading http files

## Functions
static void | prvSetupHardware (void)
int | main (void)
| main routine for example_lwip_tcpecho_sa_17xx40xx

## Variables
static struct netif | lpc_netif

## Function Documentation

int main | ( | void |  | ) |

main routine for example_lwip_tcpecho_sa_17xx40xx

Main program body.

Returns
  Function should not exit.

Definition at line 130 of file webserver.c.

static void prvSetupHardware | ( | void |  | ) |
| static

Definition at line 109 of file webserver.c.

## Variable Documentation

struct netif lpc_netif
| static

Definition at line 98 of file webserver.c.